package com.cretin.webdb.request.v2

import com.cretin.webdb.self.ModuleConfigModel

data class DesktopTranslateAddRequest(
    val currentChannel: String?,
    val appId:Int,
    val channels: MutableList<String>?,
    val items: MutableList<Item>?,
    var moduleList: MutableList<ModuleConfigModel>?
) {
    data class Item(val name: String? = "", val text: String? = "",val from:String? = "")
    data class Module(val from: String? = "", val enable: Boolean? = true)
}